const app = Vue.createApp({
  setup() {
    document.body.removeAttribute('hidden')
  },
  data () {
    return {
      comments: []
    }
  },
  methods: {
    getClassName(comment) {
      if (comment.commentIndex % 2 === 0) {
        return 'comment even'
      }
      return 'comment odd'
    },
    getStyle(comment) {
      return OneSDK.getCommentStyle(comment)
    }
  },
  mounted () {
    const req = () => {
      OneSDK.getPinnedComment().then(res => {
        if (res) {
          this.comments = [res]
        } else {
          this.comments = []
        }
      })
    }
    req()
    setInterval(req, 2000)
  },
})

function getThemeValue() {
  return OneSDK.getStyleVariable('--one-theme', 'preset/basic')
}
function getTemplateHTML() {
  const theme = getThemeValue()
  return new Promise((resolve) => {
    const req = () => {
      OneSDK.get(`http://localhost:11180/templates/${theme}/index.html`, {
        responseType: 'text'
      }).then((res) => {
        resolve(res.data)
      }, () => {
        setTimeout(req, 1000)
      })
    }
    req()
  })
}
OneSDK.ready().then(getTemplateHTML).then((html) => {
  const theme = getThemeValue()
  const dummy = document.createElement('div')
  dummy.innerHTML = html
  const themeContainer = dummy.querySelector('#container')
  const container = document.getElementById('container')
  container.innerHTML = themeContainer.innerHTML
  const link = document.createElement('link')
  link.rel = 'stylesheet'
  link.addEventListener('load', () => {
    app.mount(container);
  })
  link.href = `http://localhost:11180/templates/${theme}/style.css`
  const firstLink = document.querySelector('link')
  document.head.insertBefore(link, firstLink)
})
